<%@ Page Language="C#" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Polymorphism In Web Services</title>
    <style type="text/css">
		body { font-family : Verdana; font-size : 13px; }
		h1 { font-size : 15px; }
    </style>
    <script language="javascript">
		function calculateSalary()
		{
			var emp = new Object();
			emp.Years = parseInt($("txtYears").value, 10);
			emp.__serverType = $("comboStatus").value;
			
			Sys.Net.ServiceMethod.invoke(
				"EmployeeService.asmx",
				"CalculateSalary",
				null,
				{ employee : emp },
				onComplete
			);
		}
		
		function onComplete(result)
		{
			$("result").innerHTML = result;
		}
    </script>
</head>
<body>
    <form id="form1" runat="server">
		<atlas:ScriptManager ID="ScriptManager" runat="server" />
    
		<div>Years:<input type="text" id="txtYears" /></div>
		<div>
			Status:
			<select id="comboStatus" style="width:150px;">
				<option value="Jeffz.PolymorphismInWSTypes.Intern">Intern</option>
				<option value="Jeffz.PolymorphismInWSTypes.Vendor">Vendor</option>
				<option value="Jeffz.PolymorphismInWSTypes.FulltimeEmployee">FTE</option>
			</select>
		</div>
		<input type="button" onclick="calculateSalary()" value="Calculate!" />
		<h1>Result:</h1>
		<div id="result"></div>
    </form>
</body>
</html>